tag @a[tag=!text_damage] add text_damage
execute as @a[hasitem={item=compass,location=slot.weapon.mainhand}] at @s run function clear_slot
execute as @a[tag=!joined] run gamerule sendCommandFeedback false
execute as @a[tag=!joined] run gamerule showCoordinates true
execute as @a[tag=!joined] run gamerule commandblockoutput false
execute as @a[tag=!joined] run function scores
tag @a[tag=!joined] add joined

#playerTimeOver
camera @a[scores={CombatC=1},tag=!evolve] clear
scoreboard players remove @a[scores={mechanicTimer=1..}] mechanicTimer 1

execute as @a at @s unless entity @s[hasitem={item=serp:mega_ring,location=slot.weapon.offhand}] unless entity @s[hasitem={item=serp:dynamax_band,location=slot.weapon.offhand}] run scoreboard players set @s mechanic 0
execute as @a at @s if entity @s[hasitem={item=serp:mega_ring,location=slot.weapon.offhand}] run scoreboard players set @s mechanic 1
execute as @a at @s if entity @s[hasitem={item=serp:dynamax_band,location=slot.weapon.offhand}] run scoreboard players set @s mechanic 2
execute as @a at @s if entity @s[hasitem={item=minecraft:compass,location=slot.weapon.mainhand}] run gamemode s @s

#pokemonTimeOver
event entity @e[tag=!defeated,tag=on_attack,family=pokemon,scores={STGC2=1}] serp:end_attack
execute as @e[tag=!defeated,tag=!evolved,tag=!battle,family=pokemon,scores={condition=1..,STGC2=..0}] at @s run function battle/condition
execute as @e[tag=defeated,tag=!evolved,family=pokemon,tag=!tamed,tag=!from_trainer,scores={STGC2=1}] at @s run loot spawn ~~~ kill @s
execute as @e[tag=defeated,tag=!evolved,family=pokemon,tag=!tamed,tag=totem,tag=!from_trainer,scores={STGC2=1}] at @s run loot spawn ~~~ loot "entities/totem"
execute as @e[tag=!defeated,tag=evolved,family=pokemon,scores={STGC2=1}] at @s run particle serp:back ~~0.5~
event entity @e[tag=evolving,family=pokemon,tag=tamed,scores={STGC2=1}] serp:despawn
event entity @e[tag=defeated,family=pokemon,tag=!tamed,scores={STGC2=1}] serp:despawn

#timers
scoreboard players add @e[scores={CombatTimer=1..,CombatTimer3=0}] CombatTimer 1
scoreboard players set @e[scores={CombatTimer=77..}] CombatTimer 0
scoreboard players remove @e[scores={CombatTimer3=1..}] CombatTimer3 1
scoreboard players add @e[scores={CombatTimer3=1}] CombatTimer 1
execute as @e[scores={CombatTimer2=1..}] at @s run function battle/serpbattle/attackanimation
execute as @e[scores={mechanicTimer=1..}] at @s run function battle/serpbattle/activate
scoreboard players remove @a[scores={CombatC=1..}] CombatC 1
scoreboard players remove @e[family=pokemon,scores={STGC2=1..}] STGC2 1
scoreboard players add @a[hasitem={item=serp:poke,quantity=1..}] money 1
clear @a[hasitem={item=serp:poke,quantity=1..}] serp:poke 0 1
scoreboard players set @e[scores={exp=..49}] exp 50
scoreboard players set @a[scores={money=..-1}] money 0
scoreboard players set @a[scores={money=1000000..}] money 999999
scoreboard players set @a[scores={chips=..-1}] chips 0
scoreboard players set @a[scores={chips=1000000..}] chips 999999
execute if score Camera SerpWorld matches 1 run function fp
scoreboard players set @e[family=pokemon,scores={amistadserp=256..}] amistadserp 255
scoreboard players set @e[family=pokemon,scores={exp=..49}] exp 50
scoreboard players set @e[family=pokemon,scores={exp=5001..}] exp 5000
tag @e[family=pokemon,tag=!fast,scores={SerpSpeed=10..}] add fast
tag @e[family=pokemon,tag=!dream,scores={condition=5}] add dream
tag @e[family=pokemon,tag=!nest,scores={exp=50..1000}] add nest